Package com.io7m.coffeepick.runtime.parser.spi

# Class SPIProbeSuccess

java.lang.Object
com.io7m.coffeepick.runtime.parser.spi.SPIProbeSuccess

All Implemented Interfaces:
  `SPIProbeResultType`, `SPIProbeResultType.SPIProbeSuccessType`

    public final class SPIProbeSuccess
    extends java.lang.Object
    implements SPIProbeResultType.SPIProbeSuccessType

Probing succeeded.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `SPIProbeSuccess.Builder` | Builds instances of type `SPIProbeSuccess`.

  ## Nested classes/interfaces inherited from interface com.io7m.coffeepick.runtime.parser.spi.SPIProbeResultType

  `SPIProbeResultType.Kind, SPIProbeResultType.SPIProbeFailureType, SPIProbeResultType.SPIProbeSuccessType`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static SPIProbeSuccess.Builder` | `builder()` | Creates a builder for `SPIProbeSuccess`.
  `static SPIProbeSuccess` | `copyOf​(SPIProbeResultType.SPIProbeSuccessType instance)` | Creates an immutable copy of a `SPIProbeResultType.SPIProbeSuccessType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `SPIProbeSuccess` that have equal attribute values.
  `FormatDescription` | `format()` |
  `int` | `hashCode()` | Computes a hash code from attributes: `format`, `version`.
  `java.lang.String` | `toString()` | Prints the immutable value `SPIProbeSuccess` with attribute values.
  `FormatVersion` | `version()` |
  `SPIProbeSuccess` | `withFormat​(FormatDescription value)` | Copy the current immutable object by setting a value for the `format` attribute.
  `SPIProbeSuccess` | `withVersion​(FormatVersion value)` | Copy the current immutable object by setting a value for the `version` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.coffeepick.runtime.parser.spi.SPIProbeResultType.SPIProbeSuccessType

  `kind`

- ## Method Details

  - ### format

    public FormatDescription format()
    Specified by:
      `format` in interface `SPIProbeResultType.SPIProbeSuccessType`
    Returns:
      The format description

  - ### version

    public FormatVersion version()
    Specified by:
      `version` in interface `SPIProbeResultType.SPIProbeSuccessType`
    Returns:
      The format version

  - ### withFormat

    public final SPIProbeSuccess withFormat​(FormatDescription value)
    Copy the current immutable object by setting a value for the `format` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for format
    Returns:
      A modified copy of the `this` object

  - ### withVersion

    public final SPIProbeSuccess withVersion​(FormatVersion value)
    Copy the current immutable object by setting a value for the `version` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for version
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `SPIProbeSuccess` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `format`, `version`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `SPIProbeSuccess` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### copyOf

    public static SPIProbeSuccess copyOf​(SPIProbeResultType.SPIProbeSuccessType instance)
    Creates an immutable copy of a `SPIProbeResultType.SPIProbeSuccessType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable SPIProbeSuccess instance

  - ### builder

    public static SPIProbeSuccess.Builder builder()
    Creates a builder for `SPIProbeSuccess`.

         SPIProbeSuccess.builder()
            .setFormat(com.io7m.coffeepick.runtime.parser.spi.FormatDescription) // required format
            .setVersion(com.io7m.coffeepick.runtime.parser.spi.FormatVersion) // required version
            .build();

    Returns:
      A new SPIProbeSuccess builder